HIgh Sierra

My previous version of Quicken no longer works with my updated MacOS High Sierra Version 10.13.6. I have read other answers that I can compare and use a 2019 version. However I am confused - it worked fine until a month ago. Why would I need to go back three years to that older version.